/***文档注释***********************************************
 * 作者            ：      易鑫
 * 创建日期     ：2018-02-6
 * 描述            ：生产产线适用规格表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.metallurgy.vo;

import java.io.Serializable;
import java.util.Date;

import market.Qms.metallurgy.mapper.ComMscPlineRSpecMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="COM_MSC_PLINE_R_SPEC", namespace=ComMscPlineRSpecMapper.class)
public class ComMscPlineRSpec extends BaseVO implements Serializable {

	
	private String prodCode;
	private String prodName;
	private String steelCode;
	private String steelName;
	
	
	public String getProdCode() {
		return prodCode;
	}

	public void setProdCode(String prodCode) {
		this.prodCode = prodCode;
	}

	public String getProdName() {
		return prodName;
	}

	public void setProdName(String prodName) {
		this.prodName = prodName;
	}

	public String getSteelCode() {
		return steelCode;
	}

	public void setSteelCode(String steelCode) {
		this.steelCode = steelCode;
	}

	public String getSteelName() {
		return steelName;
	}

	public void setSteelName(String steelName) {
		this.steelName = steelName;
	}

	/** 产线代码 */
	@Id("PLINE_CODE")
	private String pline_Code;

	/** 产线描述 */
	@Column("PLINE_NAME")
	private String pline_Name;

	public String getPline_Code() {
		return pline_Code;
	}

	public void setPline_Code(String pline_Code) {
		this.pline_Code = pline_Code;
	}

	public String getPline_Name() {
		return pline_Name;
	}

	public void setPline_Name(String pline_Name) {
		this.pline_Name = pline_Name;
	}

	/** 序号 */
	@Id("INDEX_SEQ")
	private Integer indexSeq;

	/** 孔型代码(4007) */
	@Column("PASS_CODE")
	private String passCode;

	/** 孔型描述 */
	@Column("PASS_NAME")
	private String passName;

	/** 扣型代码(集合) */
	@Column("MODEL_CODE")
	private String modelCode;

	/** 扣型描述(集合) */
	@Column("MODEL_DESC")
	private String modelDesc;

	/** 来料厚度下限值 */
	@Column("IN_SUIT_MIN")
	private Double inSuitMin;

	/** 来料厚度上限值 */
	@Column("IN_SUIT_MAX")
	private Double inSuitMax;

	/** 来料宽度下限值 */
	@Column("IN_WIDTH_MIN")
	private Double inWidthMin;

	/** 来料宽度上限值 */
	@Column("IN_WIDTH_MAX")
	private Double inWidthMax;

	/** 成品厚度下限值 */
	@Column("PROD_SUIT_MIN")
	private Double prodSuitMin;

	/** 成品厚度上限值 */
	@Column("PROD_SUIT_MAX")
	private Double prodSuitMax;

	/** 成品宽度下限值 */
	@Column("PROD_WIDTH_MIN")
	private Double prodWidthMin;

	/** 成品宽度上限值 */
	@Column("PROD_WIDTH_MAX")
	private Double prodWidthMax;

	/** 来料长度下限 */
	@Column("IN_MATERIAL_LEN_MIN")
	private Double inMaterialLenMin;

	/** 来料长度上限 */
	@Column("IN_MATERIAL_LEN_MAX")
	private Double inMaterialLenMax;

	/** 成品长度下限值 */
	@Column("LENGTH_MIN")
	private Double lengthMin;

	/** 成品长度上限值 */
	@Column("LENGTH_MAX")
	private Double lengthMax;

	/** 宽度（外径）最小值(mm) */
	@Column("MIN_D")
	private Double minD;

	/** 宽度（外径）最大值(mm) */
	@Column("MAX_D")
	private Double maxD;

	/** 厚度（壁厚）最小值(mm) */
	@Column("MIN_H")
	private Double minH;

	/** 厚度（壁厚）最大值(mm) */
	@Column("MAX_H")
	private Double maxH;
	
	/**
	 * 2018/10/30
	 * 新增字段  by zj
	 * @return
	 */
	
	/**
	 * 来料内径下限值
	 */
	@Column
	private Double in_diameter_inn_min;
	
	/**
	 * 来料内径上限值
	 */
	@Column
	private Double in_diameter_inn_max;
	
	/**
	 *来料外径下限值
	 */
	@Column
    private Double in_diameter_out_min;
	
	
	/**
	 * 来料外径上限值
	 */
	@Column
	private Double in_diameter_out_max;
	
	/**
	 * 来料重量下限值
	 */
	@Column
    private Double in_weight_min;
	
	/**
	 * 来料重量上限值
	 */
	@Column
	private Double in_weight_max;
	
	/**
	 * 成品内径下限值
	 */
	
	@Column
	private Double diameter_inn_min;
	
	/**
	 * 成品内径上限值
	 */
	
	@Column
	private Double diameter_inn_max;
	
	
	/**
	 * 成品外径下限值
	 */
	
	@Column
	private Double diameter_out_min;
	
	
	/**
	 * 成品外径上限值
	 */
	@Column
	private Double diameter_out_max;
	
	
	/**
	 * 成品重量下限值
	 */
	
	@Column
	private Double weight_min;
	
	/**
	 * 成品重量上限值
	 */
	
	@Column
	private Double weight_max;
	
	
	

	/** 接箍规格代码(接箍专用，与外径壁厚只允许存在其一) */
	@Column("SPEC_JG")
	private String specJg;

	/** 接箍规格描述 */
	@Column("SPEC_JG_DESC")
	private String specJgDesc;

	/** 产能井代码 */
	@Column("WELL_CODE")
	private String wellCode;

	/** 产能井描述 */
	@Column("WELL_NAME")
	private String wellName;

	/** 管坯规格代码(从产品规格表中取值) */
	@Column("SPEC_CODE")
	private String specCode;

	/** 管坯规格描述 */
	@Column("SPEC_NAME")
	private String specName;

	/** 加工扣型分类代码 */
	@Column("MODEL_STYLE")
	private String modelStyle;

	/** 热处理二级工序代码(集合) */
	@Column("PROCESS_CDOE_C")
	private String processCdoeC;

	/** 热处理二级工序名称(集合) */
	@Column("PROCESS_DESC_C")
	private String processDescC;

	/** 热处理二级工序分类代码(4072) */
	@Column("PROCESS_STYLE")
	private String processStyle;

	/** 品名类型代码 */
	@Column("PRODUC_MOLD_CODE")
	private String producMoldCode;

	/** 品种类型描述（BASEINFO:4095) */
	@Column("PRODUC_MOLD_DESC")
	private String producMoldDesc;

	/** 创建人 */
	@Column("CREATE_NAME")
	private String createName;

	/** 创建时间 */
	@Column("CREATE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;

	/** 修改人 */
	@Column("UPDATE_NAME")
	private String updateName;

	/** 修改时间 */
	@Column("UPDATE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date updateTime;

	/** 删除人 */
	@Column("DELETE_NAME")
	private String deleteName;

	/** 删除时间 */
	@Column("DELETE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date deleteTime;

	/** 有效标志(1:有效，0:无效) */
	@Column
	private String validflag;

	/** 备注 */
	@Column
	private String memo;

	public Integer getIndexSeq() {
		return this.indexSeq;
	}

	public String getPassCode() {
		return this.passCode;
	}

	public String getPassName() {
		return this.passName;
	}

	public String getModelCode() {
		return this.modelCode;
	}

	public String getModelDesc() {
		return this.modelDesc;
	}

	

	public String getSpecJg() {
		return this.specJg;
	}

	public String getSpecJgDesc() {
		return this.specJgDesc;
	}

	public String getWellCode() {
		return this.wellCode;
	}

	public String getWellName() {
		return this.wellName;
	}

	public String getSpecCode() {
		return this.specCode;
	}

	public String getSpecName() {
		return this.specName;
	}

	public String getModelStyle() {
		return this.modelStyle;
	}

	public String getProcessCdoeC() {
		return this.processCdoeC;
	}

	public String getProcessDescC() {
		return this.processDescC;
	}

	public String getProcessStyle() {
		return this.processStyle;
	}

	public String getProducMoldCode() {
		return this.producMoldCode;
	}

	public String getProducMoldDesc() {
		return this.producMoldDesc;
	}

	public String getCreateName() {
		return this.createName;
	}

	public Date getCreateTime() {
		return this.createTime;
	}

	public String getUpdateName() {
		return this.updateName;
	}

	public Date getUpdateTime() {
		return this.updateTime;
	}

	public String getDeleteName() {
		return this.deleteName;
	}

	public Date getDeleteTime() {
		return this.deleteTime;
	}

	public String getValidflag() {
		return this.validflag;
	}

	public String getMemo() {
		return this.memo;
	}

	public void setIndexSeq(Integer indexSeq) {
		this.indexSeq = indexSeq;
	}

	public void setPassCode(String passCode) {
		this.passCode = passCode;
	}

	public void setPassName(String passName) {
		this.passName = passName;
	}

	public void setModelCode(String modelCode) {
		this.modelCode = modelCode;
	}

	public void setModelDesc(String modelDesc) {
		this.modelDesc = modelDesc;
	}

	

	public void setSpecJg(String specJg) {
		this.specJg = specJg;
	}

	public void setSpecJgDesc(String specJgDesc) {
		this.specJgDesc = specJgDesc;
	}

	public void setWellCode(String wellCode) {
		this.wellCode = wellCode;
	}

	public void setWellName(String wellName) {
		this.wellName = wellName;
	}

	public void setSpecCode(String specCode) {
		this.specCode = specCode;
	}

	public void setSpecName(String specName) {
		this.specName = specName;
	}

	public void setModelStyle(String modelStyle) {
		this.modelStyle = modelStyle;
	}

	public void setProcessCdoeC(String processCdoeC) {
		this.processCdoeC = processCdoeC;
	}

	public void setProcessDescC(String processDescC) {
		this.processDescC = processDescC;
	}

	public void setProcessStyle(String processStyle) {
		this.processStyle = processStyle;
	}

	public void setProducMoldCode(String producMoldCode) {
		this.producMoldCode = producMoldCode;
	}

	public void setProducMoldDesc(String producMoldDesc) {
		this.producMoldDesc = producMoldDesc;
	}

	public void setCreateName(String createName) {
		this.createName = createName;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public void setDeleteName(String deleteName) {
		this.deleteName = deleteName;
	}

	public void setDeleteTime(Date deleteTime) {
		this.deleteTime = deleteTime;
	}

	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public Double getInSuitMin() {
		return inSuitMin;
	}

	public void setInSuitMin(Double inSuitMin) {
		this.inSuitMin = inSuitMin;
	}

	public Double getInSuitMax() {
		return inSuitMax;
	}

	public void setInSuitMax(Double inSuitMax) {
		this.inSuitMax = inSuitMax;
	}

	public Double getInWidthMin() {
		return inWidthMin;
	}

	public void setInWidthMin(Double inWidthMin) {
		this.inWidthMin = inWidthMin;
	}

	public Double getInWidthMax() {
		return inWidthMax;
	}

	public void setInWidthMax(Double inWidthMax) {
		this.inWidthMax = inWidthMax;
	}

	public Double getProdSuitMin() {
		return prodSuitMin;
	}

	public void setProdSuitMin(Double prodSuitMin) {
		this.prodSuitMin = prodSuitMin;
	}

	public Double getProdSuitMax() {
		return prodSuitMax;
	}

	public void setProdSuitMax(Double prodSuitMax) {
		this.prodSuitMax = prodSuitMax;
	}

	public Double getProdWidthMin() {
		return prodWidthMin;
	}

	public void setProdWidthMin(Double prodWidthMin) {
		this.prodWidthMin = prodWidthMin;
	}

	public Double getProdWidthMax() {
		return prodWidthMax;
	}

	public void setProdWidthMax(Double prodWidthMax) {
		this.prodWidthMax = prodWidthMax;
	}

	public Double getInMaterialLenMin() {
		return inMaterialLenMin;
	}

	public void setInMaterialLenMin(Double inMaterialLenMin) {
		this.inMaterialLenMin = inMaterialLenMin;
	}

	public Double getInMaterialLenMax() {
		return inMaterialLenMax;
	}

	public void setInMaterialLenMax(Double inMaterialLenMax) {
		this.inMaterialLenMax = inMaterialLenMax;
	}

	public Double getLengthMin() {
		return lengthMin;
	}

	public void setLengthMin(Double lengthMin) {
		this.lengthMin = lengthMin;
	}

	public Double getLengthMax() {
		return lengthMax;
	}

	public void setLengthMax(Double lengthMax) {
		this.lengthMax = lengthMax;
	}

	public Double getMinD() {
		return minD;
	}

	public void setMinD(Double minD) {
		this.minD = minD;
	}

	public Double getMaxD() {
		return maxD;
	}

	public void setMaxD(Double maxD) {
		this.maxD = maxD;
	}

	public Double getMinH() {
		return minH;
	}

	public void setMinH(Double minH) {
		this.minH = minH;
	}

	public Double getMaxH() {
		return maxH;
	}

	public void setMaxH(Double maxH) {
		this.maxH = maxH;
	}

	public Double getIn_diameter_inn_min() {
		return in_diameter_inn_min;
	}

	public void setIn_diameter_inn_min(Double in_diameter_inn_min) {
		this.in_diameter_inn_min = in_diameter_inn_min;
	}

	public Double getIn_diameter_inn_max() {
		return in_diameter_inn_max;
	}

	public void setIn_diameter_inn_max(Double in_diameter_inn_max) {
		this.in_diameter_inn_max = in_diameter_inn_max;
	}

	public Double getIn_diameter_out_min() {
		return in_diameter_out_min;
	}

	public void setIn_diameter_out_min(Double in_diameter_out_min) {
		this.in_diameter_out_min = in_diameter_out_min;
	}

	public Double getIn_diameter_out_max() {
		return in_diameter_out_max;
	}

	public void setIn_diameter_out_max(Double in_diameter_out_max) {
		this.in_diameter_out_max = in_diameter_out_max;
	}

	public Double getIn_weight_min() {
		return in_weight_min;
	}

	public void setIn_weight_min(Double in_weight_min) {
		this.in_weight_min = in_weight_min;
	}

	public Double getIn_weight_max() {
		return in_weight_max;
	}

	public void setIn_weight_max(Double in_weight_max) {
		this.in_weight_max = in_weight_max;
	}

	public Double getDiameter_inn_min() {
		return diameter_inn_min;
	}

	public void setDiameter_inn_min(Double diameter_inn_min) {
		this.diameter_inn_min = diameter_inn_min;
	}

	public Double getDiameter_inn_max() {
		return diameter_inn_max;
	}

	public void setDiameter_inn_max(Double diameter_inn_max) {
		this.diameter_inn_max = diameter_inn_max;
	}

	public Double getDiameter_out_min() {
		return diameter_out_min;
	}

	public void setDiameter_out_min(Double diameter_out_min) {
		this.diameter_out_min = diameter_out_min;
	}

	public Double getDiameter_out_max() {
		return diameter_out_max;
	}

	public void setDiameter_out_max(Double diameter_out_max) {
		this.diameter_out_max = diameter_out_max;
	}

	public Double getWeight_min() {
		return weight_min;
	}

	public void setWeight_min(Double weight_min) {
		this.weight_min = weight_min;
	}

	public Double getWeight_max() {
		return weight_max;
	}

	public void setWeight_max(Double weight_max) {
		this.weight_max = weight_max;
	}

	
	
}
